<template src="./template.html"></template>

<script lang="ts">
import { clone, cloneDeep } from "lodash";
import { Component, Prop, Vue, Watch } from "nuxt-property-decorator";
import { api } from "~/common/constaint";
import { apiErrorHandler } from "~/utils/apiHanlers";
@Component({
  components: {},
})
export default class ManageSellersComponent extends Vue {
  @Prop()
  tab!: number;

  config = {
    page: 1,
    limit: 25,
    search: "",
    sellerId: "",
  };
  page = 1;

  loadingTable = false;

  get listStore() {
    return this.$store.state.masterUsers.listStore || [];
  }

  get totalPage() {
    return this.$store.state.masterUsers.totalPage || [];
  }

  convertDomain(domain: string) {
    return `${domain}`;
  }

  mounted() {
    this.onGetListStore();
  }

  async onGetListStore() {
    try {
      this.loadingTable = true;
      const sellerId = this.$store.state.masterUsers.sellerId || "";
      this.config.sellerId = sellerId;
      if (!sellerId) {
        return this.$pushNotification.error("Not found sellerId");
      }
      this.$store.dispatch("masterUsers/onGetStoreSeller", {
        ctx: this,
        query: this.config,
      });
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.loadingTable = false;
    }
  }

  @Watch("tab")
  changedTab(value: number) {
    if (value === 1) {
      this.onGetListStore();
    }
  }

  @Watch("config.page")
  changedPage() {
    this.onGetListStore();
  }
}
</script>
